summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robert Alessi <ralessi@univ-poitiers.fr>2010-05-11 20:01:34 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:34 +0200
commit5529cc9b88d6208bc319e00eb6fbfb1e1a087e33 (patch)
treec56c534247bf6ab9c85a1bb7f8582705729eea82
parente6e9cce83571f6fe00a525af78e4400ef24cbeab (diff)
downloadslackbuilds-5529cc9b88d6208bc319e00eb6fbfb1e1a087e33.tar.gz
slackbuilds-5529cc9b88d6208bc319e00eb6fbfb1e1a087e33.tar.xz
network/guarddog: Added to 12.0 repository
-rw-r--r--network/guarddog/README18
-rw-r--r--network/guarddog/guarddog.SlackBuild67
-rw-r--r--network/guarddog/guarddog.info8
-rw-r--r--network/guarddog/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/network/guarddog/README b/network/guarddog/README
new file mode 100644
index 0000000000..d35895c5b5
--- /dev/null
+++ b/network/guarddog/README
@@ -0,0 +1,18 @@
+Guarddog is a firewall configuration utility for Linux systems. Guarddog is
+aimed at two groups of users: novice to intermediate users who are not experts
+in TCP/IP networking and security, and those users who don't want the hassle
+of dealing with cryptic shell scripts and iptables parameters.
+
+Guarddog should work "out of the box" on any standard stock Slackware 12.0
+installation.
+
+You will need to add the following to /etc/rc.d/rc.local in order to have
+the firewall script that Guarddog creates started at boot:
+ if [ -x /etc/rc.firewall ]; then
+ /etc/rc.firewall
+ fi
+It seems that Guarddog hard-codes this location, so there's no way to change
+it when building. Since a standard Slackware system will execute a firewall
+script at boot if one exists (and is executable) at /etc/rc.d/rc.firewall,
+you might consider doing the following instead:
+ ln -s /etc/rc.firewall /etc/rc.d/rc.firewall
diff --git a/network/guarddog/guarddog.SlackBuild b/network/guarddog/guarddog.SlackBuild
new file mode 100644
index 0000000000..06f99675f4
--- /dev/null
+++ b/network/guarddog/guarddog.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for Guarddog
+# Written by Robert Alessi (ralessi@univ-poitiers.fr)
+# Modified by the SlackBuilds.org project
+
+# Exit on most errors
+set -e
+
+PRGNAM=guarddog
+VERSION=2.6.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-debug \
+ --program-prefix="" \
+ --program-suffix="" \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Normally this would be /usr/doc instead of /usr/share/doc, but...
+# This is a kde app, so it expects /usr/share/doc, and /usr/share/doc
+# is a symlink to /usr/doc on Slackware systems anyway, so it really
+# doesn't make a difference... :-)
+mkdir -p $PKG/usr/share/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/share/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/share/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/guarddog/guarddog.info b/network/guarddog/guarddog.info
new file mode 100644
index 0000000000..b00747ae18
--- /dev/null
+++ b/network/guarddog/guarddog.info
@@ -0,0 +1,8 @@
+PRGNAM="guarddog"
+VERSION="2.6.0"
+HOMEPAGE="http://www.simonzone.com/software/guarddog/"
+DOWNLOAD="http://www.simonzone.com/software/guarddog/guarddog-2.6.0.tar.gz"
+MD5SUM="a1535c4e3f668ea1de5a12f671e7af13"
+MAINTAINER="Robert Alessi"
+EMAIL="ralessi@univ-poitiers.fr"
+APPROVED="rworkman"
diff --git a/network/guarddog/slack-desc b/network/guarddog/slack-desc
new file mode 100644
index 0000000000..08ae318a6b
--- /dev/null
+++ b/network/guarddog/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+guarddog: Guarddog (firewall configuration utility)
+guarddog:
+guarddog: Guarddog is user friendly firewall generation/management utility
+guarddog: for KDE on Linux.
+guarddog:
+guarddog: Home Page: http://www.simonzone.com/software/guarddog/
+guarddog:
+guarddog:
+guarddog:
+guarddog:
+guarddog: